TESTING/EIG/sget10.f(3)

NAME
TESTING/EIG/sget10.f

SYNOPSIS

  Functions/Subroutines
subroutine sget10 (m, n, a, lda, b, ldb, work, result)
SGET10

Function/Subroutine Documentation

  subroutine sget10 (integer m, integer n, real, dimension( lda, * ) a, integer lda, real, dimension( ldb, * ) b, integer ldb, real, dimension( * ) work, real result)

SGET10

Purpose:

     SGET10 compares two matrices A and B and computes the ratio
     RESULT = norm( A - B ) / ( norm(A) * M * EPS )

Parameters
    M

              M is INTEGER
              The number of rows of the matrices A and B.

    N

              N is INTEGER
              The number of columns of the matrices A and B.

    A

              A is REAL array, dimension (LDA,N)
              The m by n matrix A.

    LDA

              LDA is INTEGER
              The leading dimension of the array A.  LDA >= max(1,M).

    B

              B is REAL array, dimension (LDB,N)
              The m by n matrix B.

    LDB

              LDB is INTEGER
              The leading dimension of the array B.  LDB >= max(1,M).

    WORK

              WORK is REAL array, dimension (M)

    RESULT

              RESULT is REAL
              RESULT = norm( A - B ) / ( norm(A) * M * EPS )

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 92 of file sget10.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.